package org.wfc.system.api.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.wfc.common.core.annotation.Excel;
import org.wfc.common.core.annotation.Excel.ColumnType;
import org.wfc.common.core.utils.MessageUtils;
import org.wfc.common.core.web.domain.BaseEntity;

/**
 * 操作日志记录表 oper_log
 * 
 * @author wfc
 */
public class SysOperLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 日志主键 */
    @Excel(name = "excel.operation.log.id", cellType = ColumnType.NUMERIC)
    private Long operId;

    /** 操作模块 */
    @Excel(name = "excel.operation.log.title")
    private String title;

    /** 业务类型（0其它 1新增 2修改 3删除） */
    @Excel(name = "excel.operation.log.business.type", readConverterExp = "0=Other,1=Add,2=Modify,3=Delete,4=Authorize,5=Export,6=Import,7=Force Logout,8=Generate Code,9=Clear Data,9=Approval,10=Reject") 
    private Integer businessType;

    /** 业务类型数组 */
    private Integer[] businessTypes;

    /** 请求方法 */
    @Excel(name = "excel.operation.log.method")
    private String method;

    /** 请求方式 */
    @Excel(name = "excel.operation.log.request.method")
    private String requestMethod;

    /** 操作类别（0其它 1后台用户 2手机端用户） */
    @Excel(name = "excel.operation.log.operator.type", readConverterExp = "0=Other,1=System User,2=Client User")
    private Integer operatorType;

    /** 操作人员 */
    @Excel(name = "excel.operation.log.operator.name")
    private String operName;

    /** 部门名称 */
    //@Excel(name = "excel.operation.log.department.name")
    private String deptName;

    /** 请求url */
    @Excel(name = "excel.operation.log.operation.url")
    private String operUrl;

    /** 操作地址 */
    @Excel(name = "excel.operation.log.operation.ip")
    private String operIp;

    /** 请求参数 */
    @Excel(name = "excel.operation.log.operation.parameter")
    private String operParam;

    /** 返回参数 */
    @Excel(name = "excel.operation.log.json.result")
    private String jsonResult;

    /** 操作状态（0正常 1异常） */
    @Excel(name = "excel.operation.log.status", readConverterExp = "0=Normal,1=Abrnormal")
    private Integer status;

    /** 错误消息 */
    @Excel(name = "excel.operation.log.error.msg")
    private String errorMsg;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "excel.operation.log.operation.time", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date operTime;

    /** 消耗时间 */
    @Excel(name = "excel.operation.log.cost.time", suffix = "ms")
    private Long costTime;

    public Long getOperId()
    {
        return operId;
    }

    public void setOperId(Long operId)
    {
        this.operId = operId;
    }

    public String getTitle()
    {
        return title;
    }

    public void setTitle(String title)
    {
        if (title == null || title.isEmpty()) {
            this.title=title;
        }     
        this.title = MessageUtils.message(title);
    }

    public Integer getBusinessType()
    {
        return businessType;
    }

    public void setBusinessType(Integer businessType)
    {
        this.businessType = businessType;
    }

    public Integer[] getBusinessTypes()
    {
        return businessTypes;
    }

    public void setBusinessTypes(Integer[] businessTypes)
    {
        this.businessTypes = businessTypes;
    }

    public String getMethod()
    {
        return method;
    }

    public void setMethod(String method)
    {
        this.method = method;
    }

    public String getRequestMethod()
    {
        return requestMethod;
    }

    public void setRequestMethod(String requestMethod)
    {
        this.requestMethod = requestMethod;
    }

    public Integer getOperatorType()
    {
        return operatorType;
    }

    public void setOperatorType(Integer operatorType)
    {
        this.operatorType = operatorType;
    }

    public String getOperName()
    {
        return operName;
    }

    public void setOperName(String operName)
    {
        this.operName = operName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getOperUrl()
    {
        return operUrl;
    }

    public void setOperUrl(String operUrl)
    {
        this.operUrl = operUrl;
    }

    public String getOperIp()
    {
        return operIp;
    }

    public void setOperIp(String operIp)
    {
        this.operIp = operIp;
    }

    public String getOperParam()
    {
        return operParam;
    }

    public void setOperParam(String operParam)
    {
        this.operParam = operParam;
    }

    public String getJsonResult()
    {
        return jsonResult;
    }

    public void setJsonResult(String jsonResult)
    {
        this.jsonResult = jsonResult;
    }

    public Integer getStatus()
    {
        return status;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public String getErrorMsg()
    {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg)
    {
        this.errorMsg = errorMsg;
    }

    public Date getOperTime()
    {
        return operTime;
    }

    public void setOperTime(Date operTime)
    {
        this.operTime = operTime;
    }

    public Long getCostTime()
    {
        return costTime;
    }

    public void setCostTime(Long costTime)
    {
        this.costTime = costTime;
    }
}
